/*
 Copyright (C) 2015
  Albert Cortez (acortez@cenditel.gob.ve)
 
  CENDITEL Fundación Centro Nacional de Desarrollo e Investigación en
  Tecnologías Libres
 
  Este programa es software libre; Usted puede usarlo bajo los términos de la
  licencia de software GPL versión 2.0 de la Free Software Foundation.
 
  Este programa se distribuye con la esperanza de que sea útil, pero SIN
  NINGUNA GARANTÍA; tampoco las implícitas garantías de MERCANTILIDAD o
  ADECUACIÓN A UN PROPÓSITO PARTICULAR.
  Consulte la licencia GPL para más detalles. Usted debe recibir una copia
  de la GPL junto con este programa; si no, escriba a la Free Software
  Foundation Inc. 51 Franklin Street,5 Piso, Boston, MA 02110-1301, USA.
*/

/*
  Autor:             Argenis A. Cortez
  Fecha de creación: 15/10/2015
 
 Programa que ejecuta una busqueda por RIF o por Codigo Arancelario y crea un JSON con la informacion de Importacion
*/
#include <iostream>
#include <stdio.h>
#include <dbQuery.H>
#include <tpl_dynDlist.H>
#include <string>
#include "bloomFilter.H"
#include <iomanip>
#include <fstream>


int main (int argc, char* argv[] )
{


	if(argc<3)
	{
	std::cout<<"USAGE: COD_ARAN ANHO"<<std::endl;
	return 0;
	}

	std::string query, nombre, cantidad, precio, unidad;

	DBConnection conection;
	std::string rif=argv[1];
	conection.open("comtrade.txt");

	std::ofstream file;


	file.open("media/tmp/complementariedad_comtrade.json");
//	file.open("complementariedad_comtrade.json");

	std::string comtrade [] = {"antiguaybarbuda", "argentina","bahamas","barbados", "belice", "bolivia", "brasil", "cuba", "dominica", "ecuador","guatemala","guyana","haiti","honduras","jamaica","montserrat","nicaragua","paraguay","republicadominicana","santalucia","scynieves","surinam","svygranadinas","trinidadytobago","uruguay"};

	DBQuery f(conection);
	conection.open("filecomtrade.txt");
	
	file<<"["<<std::endl;

	std::cout<<rif[0]<<std::endl;

	if(rif[0]!='j' || rif[0]!='J' || rif[0]!='g' || rif[0]!='G')
	{

	for(int i=0;i<25;i++)
	{
	query=("SELECT nombre, cantidad, medida, valor FROM "+comtrade[i]+" WHERE codigo_aran='"+rif+"'");
	f.exec(query);

	while (f.hasResult() && f.next())
	{
		nombre=f.getValue(0);
		cantidad=f.getValue(1);
		unidad=f.getValue(2);
		precio=f.getValue(3);
	file<<"{\"pais\": \""+nombre+"\", \"cantidad\":\""+cantidad+"\",\"unidad\":\""+unidad+"\",\"precio\": \""+precio+"\"},"<<std::endl;
	}
	}
	file<<"{\"pais\":\"" "\",\"cantidad\":\"" "\",\"unidad\":\"" "\",\"precio\": \"" "\"}"<<std::endl;

	}

	file<<"]"<<std::endl;
return 0;
}
